# Instance Backup List - ListUMongoDBBackup

## Overview

Retrieve Instance Backup List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUMongoDBBackup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.surfercloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | Instance ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*BackupInfo*](#backupinfo)] | Backup List |**Yes**|

#### Data Model


#### BackupInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Zone |No|
| **BackupId** | string | Backup ID |**Yes**|
| **BackupName** | string | Backup Name |No|
| **ClusterId** | string | Instance ID |No|
| **State** | string | Backup Status |No|
| **BackupSize** | int | Backup Data Size |No|
| **BackupType** | string | Backup Type |No|
| **StartTime** | int | Backup Start Time |No|
| **EndTime** | int | Backup End Time |No|
| **VirtualClusterId** | string | Virtual Node ID |No|
| **ReplicaType** | string | Replica Type, ConfigRepl or DataRepl |No|
| **BatchId** | string | Batch ID |No|
| **DiskSize** | int | Disk Size |No|

## Example

### Request Example
    
```
https://api.surfercloud.com/?Action=ListUMongoDBBackup
&Region=cn-zj
&Zone=cn-zj-01
&ClusterId=yyKqkWlP
&ProjectId=KYmRihyr
```

### Response Example
    
```json
{
  "Action": "ListUMongoDBBackupResponse",
  "DataSet": [
    {
      "BackupId": "nbhssxzI",
      "BackupName": "LRvVcdWF",
      "BackupSize": 9,
      "BackupType": "EKheYLoc",
      "ClusterId": "BDpDJqTk",
      "EndTime": 7,
      "StartTime": 4,
      "State": "fjLdqjUb"
    }
  ],
  "Message": "ogIzkoBe",
  "RetCode": 0
}
```





